Company News

MT4 update notification for FW Markets Traders

Dear traders,

FW Markets Customers Support would like to notify you that your MT4 client terminals need to be updated due to the reason that versions older than 600 will no longer be supported starting Friday, August 1. The previous versions will stop working, so don’t hesitate to update your Metatrader platform to avoid any inconvenience.

The update process won’t take long – log in to your MT4 terminal and accept the update request from the program. You can also download a new version from website and reinstall MT4.

If any problems occur – feel free to contact us – our Customer Support will resolve any queries.

FW Markets Customers Support team